RunApp::Template::Apache(3pm)

NAME
RunApp::Apache - Apache control from RunApp

SYNOPSIS
 See RunApp::Apache

DESCRIPTION
The class provides the default template for apache configuration. It uses Template Toolkit.

  variables

timeout
    Default is 300.

KeepAlive
    Default is Off.

MaxKeepAliveRequests
    Default is 100.

KeepAliveTimeout
    Default is 15.

documentroot
hostname
port
webmaster
logformat
    Default is 'common'.

AP_VERSION
    Shows the version of the apache used.

AUTHORS
Chia-liang Kao <clkao@clkao.org>

Refactored from works by Leon Brocard <acme@astray.com> and Tom Insam <tinsam@fotango.com>.

COPYRIGHT
Copyright (C) 2002-5, Fotango Ltd.

This module is free software; you can redistribute it or modify it under the same terms as Perl itself.